seinfo(1)

NAME
seinfo - SELinux policy query tool

SYNOPSIS
seinfo [OPTIONS] [POLICY_FILE]

DESCRIPTION
This man page describes the seinfo command.

seinfo allows the user to query a SELinux policy.

OPTIONS

-c[NAME], --classes[=NAME]
    print a list of object classes

-t[NAME], --types[=NAME]
    print a list of types identifiers

-a[NAME], --attribs[=NAME]
    print a list of type attributes

-r[NAME], --roles[=NAME]
    print a list of roles

-u[NAME], --users[=NAME]
    print a list of users

-b[NAME], --boolean[=NAME]
    print a list of conditional booleans

-S[NAME], --sensitivities[=NAME]
    print a list of sensitivities

-C[NAME], --categories[=NAME]
    print a list of categories

-f[TYPE], --fs_use[=TYPE]
    print a list of fs_use statements

-g[TYPE], --genfscon[=TYPE]
    print a list of genfscon statements

-n[NAME], --netifcon[=NAME]
    print a list of netif contexts

-o[ADDR], --nodecon[=ADDR]
    print a list of node contexts

-p[NUM],  --portcon[=NUM]
    print a list of port contexts

-i[NAME], --initialsid[=NAME]
    print a list of initial SIDs

-A, --all
    print all of the above

-x, --expand
    show additional info for -ctarbuSCiA options

-s, --stats
    print useful policy statistics

-h, --help
    display this help and exit

-v, --version
    output version information and exit

INFORMATION
For -ctaruSCfgnopi options, if NAME is provided, then only show info for NAME. Specifying a name is most useful when used with the -x option. If no option is provided, display useful policy statistics (-s).

The default source policy, or if that is unavailable the default binary policy, will be opened if no policy file name is provided.

AUTHOR
This manual page was written by Kevin Carr <kcarr@tresys.com>.

COPYRIGHT
Copyright(C) 2006 Tresys Technology, LLC

SEE ALSO
sesearch(1), apol(1)